Debian Bug report logs - #329526
libdbd-sybase-perl: New upstream release

version graph

Package: libdbd-sybase-perl; Maintainer for libdbd-sybase-perl is Steve Langasek <vorlon@debian.org>; Source for libdbd-sybase-perl is src:libdbd-sybase-perl.

Reported by: Florian Ragwitz <florian.ragwitz@s2004.tu-chemnitz.de>

Date: Thu, 22 Sep 2005 06:03:02 UTC

Severity: wishlist

Merged with 560117

Found in version libdbd-sybase-perl/1.00-3

Fixed in version libdbd-sybase-perl/1.09-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, florian.ragwitz@s2004.tu-chemnitz.de, Steve Langasek <vorlon@debian.org>:
Bug#329526; Package libdbd-sybase-perl. Full text and rfc822 format available.

Acknowledgement sent to Florian Ragwitz <florian.ragwitz@s2004.tu-chemnitz.de>:
New Bug report received and forwarded. Copy sent to florian.ragwitz@s2004.tu-chemnitz.de, Steve Langasek <vorlon@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Ragwitz <florian.ragwitz@s2004.tu-chemnitz.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdbd-sybase-perl: New upstream release
Date: Thu, 22 Sep 2005 07:51:16 +0200
Package: libdbd-sybase-perl
Severity: wishlist

Hello,

1.06 is on CPAN. Please update your package.

TIA,
Flo

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#329526; Package libdbd-sybase-perl. (Sat, 04 Jul 2009 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jonathan.i.yu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sat, 04 Jul 2009 15:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 329526@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jonathan.i.yu@gmail.com>
To: Steve Langasek <vorlon@debian.org>
Cc: 329526@bugs.debian.org
Subject: Re: libdbd-sybase-perl / DBD::Sybase
Date: Sat, 4 Jul 2009 10:51:23 -0400
Steve:

Please reply to this message to let me know what's going on, or
release the updated version. Otherwise I'll assume you're MIA (even
though I see you quite often on the mailing lists) and just release an
NMU release. I'd prefer not to do that, though, and would like you to
either orphan the package or upgrade it yourself.

I've added a relevant bug report this time, which was filed 3 years
ago by rafl for an upgrade. The bug is still open.

Thanks in advance.

Cheers,

Jonathan

On Wed, Jul 1, 2009 at 11:04 AM, Jonathan Yu<jonathan.i.yu@gmail.com> wrote:
> Hi Steve:
>
> The version of libdbd-sybase-perl is pretty old -- version 1.00, which
> is not even available on CPAN anymore. The newest version is 1.09.
> Please upgrade it at your nearest convenience, or consider orphaning
> it.
>
> If you're no longer interested in maintaining this module, the
> pkg-perl team would like to maintain this package under our group.
>
> Thanks for your (many) contributions to Debian :-)
>
> Cheers,
>
> Jonathan
>




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#329526; Package libdbd-sybase-perl. (Sat, 04 Jul 2009 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Sat, 04 Jul 2009 19:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 329526@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonathan Yu <jonathan.i.yu@gmail.com>, 329526@bugs.debian.org
Subject: Re: Bug#329526: libdbd-sybase-perl / DBD::Sybase
Date: Sat, 4 Jul 2009 12:05:43 -0700
On Sat, Jul 04, 2009 at 10:51:23AM -0400, Jonathan Yu wrote:

> Please reply to this message to let me know what's going on, or
> release the updated version. Otherwise I'll assume you're MIA

That's not what MIA means.

> (even though I see you quite often on the mailing lists) and just release
> an NMU release.

For a wishlist bug:  no, you won't.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#329526; Package libdbd-sybase-perl. (Sat, 04 Jul 2009 20:06:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jonathan.i.yu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sat, 04 Jul 2009 20:06:17 GMT) Full text and rfc822 format available.

Message #20 received at 329526@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jonathan.i.yu@gmail.com>
To: Steve Langasek <vorlon@debian.org>, 329526@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#329526: libdbd-sybase-perl / DBD::Sybase
Date: Sat, 4 Jul 2009 16:01:53 -0400
Well, how should we proceed? I would just like Debian to have an up to
date Sybase driver. I am willing to help upgrade it and would love to
adopt it under pkg-perl

On 7/4/09, Steve Langasek <vorlon@debian.org> wrote:
> On Sat, Jul 04, 2009 at 10:51:23AM -0400, Jonathan Yu wrote:
>
>> Please reply to this message to let me know what's going on, or
>> release the updated version. Otherwise I'll assume you're MIA
>
> That's not what MIA means.
>
>> (even though I see you quite often on the mailing lists) and just release
>> an NMU release.
>
> For a wishlist bug:  no, you won't.
>
> --
> Steve Langasek                   Give me a lever long enough and a Free OS
> Debian Developer                   to set it on, and I can move the world.
> Ubuntu Developer                                    http://www.debian.org/
> slangasek@ubuntu.com                                     vorlon@debian.org
>

-- 
Sent from Gmail for mobile | mobile.google.com




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#329526; Package libdbd-sybase-perl. (Sun, 05 Jul 2009 15:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jonathan.i.yu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sun, 05 Jul 2009 15:57:10 GMT) Full text and rfc822 format available.

Message #25 received at 329526@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jonathan.i.yu@gmail.com>
To: Steve Langasek <vorlon@debian.org>, 329526@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#329526: libdbd-sybase-perl / DBD::Sybase
Date: Sun, 5 Jul 2009 11:54:32 -0400
Hi:

Here is the CHANGES file entries for DBD-Sybase 1.09 down to the
current version, 1.00. There are various updates including fixes
involving memory leaks; it might even close some of the many other
outstanding bugs on the tracker (from over 6 years ago!)

Again, please, let us know how you would like to proceed from here.
It's your package and I really don't want to try to hijack it from
you, but the new versions have lots of changes that would be extremely
useful to incorporate in the libdbd-sybase-perl package for Debian
users.

If you are willing to upgrade your package (or give me some indication
of why you do not), or if you are willing to orphan the package under
the pkg-perl group -- any of those would be great. Please let me know
what next steps are.

Release 1.09

    Behavior change: A new connection level attribute (syb_disconnect_in_child)
    has been added to allow automatical handling of InactiveDestroy across
    forks. By default in 1.09 a connection will NOT get closed if the process
    ID of the process that is exiting is not the same as the PID of the
    process that created the connection.
    Detect ASE error 5702 (The server is terminating this process) as a fatal
    error for the connection.

    Bug Fixes

    645 - Spurious COMMIT calls sent to the dataserver during the
login/connect calls.
    628 - Increase size of Kerberos Principal string buffer
    627 - Spurious sigset_t declaration.

Release 1.08

	Detect missing libblk.a library, and disable the BLK api calls
	if necessary.
	Added code to force dlopen() to use RTLD_GLOBAL.
	Corrected ct_option() functionality detection.
	Fixed incorrect handling of bind_params() (Thanks to Tim Bunce).
	Added serverType DSN parameter.
	Added tds_keepalive DSN parameter.
	Fixed incorrect handling of multiple result sets with DBI
	1.53 and later.
	Re-wrote $dbh->ping() in C, it's now four times faster.
	Allow automated build without prompts.
	Improved nsql().
	Added corrected handling of DATE and TIME values (ASE 12.5.2 and later).
	Added handling of UNSIGNED INT and BIGINT (ASE 15 and later).
	Added PERL_NO_GET_CONTEXT #define.

        Bug Fixes
	
	624 - Empty strings incorrectly passed as NULL.
	616 - Spurious error message when the login request times out.
	614 - Documentation improvement for syb_xxx methods.
	610 - Segfault when using signals with the threaded libraries and
	      perl >= 5.8.


Release 1.07

	Changed the t/xblk.t test to lookup the charset used by the
        server and specify this in the connect() string. This should
        avoid failures when the client and server uses charsets of
        different sizes (utf8 vs. iso_1, for example).
	Better error reporting when the connection data is incorrect
	for the test scripts.
	Modified $dbh->ping() slightly.

        Bug Fixes

	604 - Add missing mode parameter to mkdir in t/xblob.t
	606 - Memory leak in the BLK API.

Release 1.06

	Fix off-by-one error for ISO date format.
	Clear error/warning when connecting to a Replication Server.
        Fix AutoCommit "off" behavior when CHAINED mode is turned off.
        Fix $dbh->begin_work() behavior.

        Note: This version fails 4 tests in t/xblk.t when building
        against the 15.0 Beta OCS libraries.

        Bug Fixes

	582 - ISO date formatting off by one for months.
	591 - NUM_OF_PARAMS isn't handled properly
        593 - Connection can become unusable due a bug in
              get_server_version().
	597 - Prepared stored procs with placeholders return
	      corrupted recordset on second fetch.
        599 - The call to "prepare" also executes the statement.
        600 - $sth->finish sometimes fails to properly clean up the
              handle.

Release 1.05

        BEHAVIOR CHANGE - $dbh->{LongReadLen} must now be called
	before $dbh->prepare(). Previously you could call this after
	the $dbh->prepare() but before the $sth->execute().

        Install private statement handle methods for TEXT/IMAGE handling
        to avoid $h->func() calls, and update documentation.
        Implement experimental BLK API via prepare/execute loop.
	Change default "AutoCommit" off mode from explicit transactions
	to using the "chained" mode if it is available.
	Add $sth->syb_describe() call, taken from Sybase::CTlib's
	ct_describe().
	Add ISO8601 date/time format for output.
	Fix $sth->finish() behavior when syb_flush_finish is turned on.
	Changed do { } while($sth->{syb_more_results}); idiom to use
	redo instead.
	Better/more consistent handling of multiple sth on a single dbh,
        and new test file.

	Bugs Fixed:

	580 - Binding binary/varbinary values to placeholders sometimes
	      fails.
	575 - Fails three tests under Tru-64.
	577 - perl Makefile.PL fails if umask is 0.
        578 - Better warning for calling $dbh->{LongReadLen} if $dbh is busy.
        572 - Minor documentation update for bind_param().

Release 1.04

	Bugs Fixed:

	566 - $sth->{NAME} fails right after prepare().

Release 1.03

	Added linking of threaded Sybase libs if perl is built with
	threading turned on.
	Added CLONE() method.
	Minor changes to dbdimp.c to be thread-safe.
	Added t/thread.t test script.
	Changes to Makefile.PL to make configuration easier.
	Add support for Kerberos-based network login.
	Handle new library names (libsybct vs. libct).
        Make sure that cached statement handle attributes (NAME_lc, etc)
	are cleared when multiple result sets are processed.
	Add host and port connection properties, to allow connections
        to ASE servers that are not defined in the interfaces file
        (requires OCS 12.5.1)
	Add ability to dynamically increase the maximum number of
	connections (thanks to Ed Avis).
	Add ability to ignore stored proc return status in nsql() (thanks
	to Merijn Broeren)
	Fix Makefile.PL umask() issue on Win32 (thanks to Darin Delegal).

	Bugs Fixed:

	541 - $sth->{NAME} fails right after prepare().
	551 - Tests fail when using perl 5.6.1.
	556 - Add support for user-supplied SSL certificate file.
	557 - type_info_all broken with ASE 11.0.x
	562 - syb_flush_finish doesn't work during the connect() phase.
	563 - Memory leak when syb_binary_images is set.


Release 1.02

	Added syb_server_version attribute. This is filled in at connect()
        time with the numeric version number (11.0.3.3, 12.5.1, etc) of the
        server that you are connected to.

	Bugs Fixed:

	520 - t/exec.t fails on Win32.
	533 - logic error in deadlock retry in nsql().
	532 - t/xblob.t test provides false positive for win32.
	534 - Placeholder prepare() fails with ASE 11.0.x

Release 1.01

	Automatically finish() statement handles if they are re-executed
        before all the rows have been fetched.
	Added support for new tables() syntax, thanks to Stephen Wilcoxon.
	Added support for DATE and TIME datatypes (available in the
	ASE 12.5.1 release, currently undergoing beta testing).
	Allow user to specify a database to use for the tests instead of
	using "tempdb" (useful if user does not have SA privileges).
	
	Bugs Fixed:

	517 - getpwnam() isn't portable.
	493 - Second execute on a prepared handle fails.
	487 - Add connection information to error messages.
	407 - Second+ statement does not use db from "use database".

On Sat, Jul 4, 2009 at 4:01 PM, Jonathan Yu<jonathan.i.yu@gmail.com> wrote:
> Well, how should we proceed? I would just like Debian to have an up to
> date Sybase driver. I am willing to help upgrade it and would love to
> adopt it under pkg-perl
>
> On 7/4/09, Steve Langasek <vorlon@debian.org> wrote:
>> On Sat, Jul 04, 2009 at 10:51:23AM -0400, Jonathan Yu wrote:
>>
>>> Please reply to this message to let me know what's going on, or
>>> release the updated version. Otherwise I'll assume you're MIA
>>
>> That's not what MIA means.
>>
>>> (even though I see you quite often on the mailing lists) and just release
>>> an NMU release.
>>
>> For a wishlist bug:  no, you won't.
>>
>> --
>> Steve Langasek                   Give me a lever long enough and a Free OS
>> Debian Developer                   to set it on, and I can move the world.
>> Ubuntu Developer                                    http://www.debian.org/
>> slangasek@ubuntu.com                                     vorlon@debian.org
>>
>
> --
> Sent from Gmail for mobile | mobile.google.com
>




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#329526; Package libdbd-sybase-perl. (Tue, 07 Jul 2009 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Tue, 07 Jul 2009 22:09:05 GMT) Full text and rfc822 format available.

Message #30 received at 329526@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonathan Yu <jonathan.i.yu@gmail.com>, 329526@bugs.debian.org
Cc: debian-qa@lists.debian.org, Debian Perl List <debian-perl@lists.debian.org>
Subject: Re: Request to Hijack libdbd-sybase-perl
Date: Tue, 7 Jul 2009 14:53:52 -0700
On Tue, Jul 07, 2009 at 04:07:22PM -0400, Jonathan Yu wrote:

> I admit I look like an asshole here. And I suppose I am not being too
> nice about this. I apologize to Steve if this looks like a personal
> attack, I admit that in some ways it was. because I was upset when I
> wrote this mail.

I am not concerned with personal attacks, only with your inappropriate
attitude regarding package hijacking.  Why should I bother myself with
whether you approve of my maintenance of the package, when you give no
evidence that you would do a better job of *maintaining* it (which is not
the same thing as being quicker at *uploading* it)?

> The way I see it, and I would hope Debian Developers (in general)
> agree that either a package should be appropriately maintained or
> orphaned.

Everything I've read so far indicates you would be a terrible arbiter of
"appropriate" maintenance.

> So, please, please tell me how to proceed from here. Do we continue
> keeping an outdated (and next to useless)

Bullshit.  The existing package works fine for a large number of use cases,
including those for which I originally packaged it.  It is not "next to
useless", whatever the bugs.

On Sun, Jul 05, 2009 at 11:54:32AM -0400, Jonathan Yu wrote:
> Here is the CHANGES file entries for DBD-Sybase 1.09 down to the
> current version, 1.00. There are various updates including fixes
> involving memory leaks; it might even close some of the many other
> outstanding bugs on the tracker (from over 6 years ago!)

IOW, you can't actually point to an issue *that affects you* with the
current version of the package, or you wouldn't have had to quote the
upstream changelog at me.  Do you even use the software?  What testing have
you done to ensure that the new version works correctly with the version of
FreeTDS in Debian?  This is a database client library, so there's no test
suite that we can run at build time - the test suite has to be run by the
maintainer before uploading the package.  Do you have access to a MS SQL
server where you can do this, and are you committed to doing this level of
QA before uploading?

That you haven't seen fit to address any of these points without my
prompting suggests its own answers.

So the only new information you've brought to the table is that you're eager
to take over the package without my consent.  That tells me that you have
bad manners, but it doesn't give me a reason to reprioritize
libdbd-sybase-perl in my todo list.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#329526; Package libdbd-sybase-perl. (Tue, 07 Jul 2009 22:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Tue, 07 Jul 2009 22:33:14 GMT) Full text and rfc822 format available.

Message #35 received at 329526@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonathan Yu <jonathan.i.yu@gmail.com>, 329526@bugs.debian.org, debian-qa@lists.debian.org, Debian Perl List <debian-perl@lists.debian.org>
Subject: Re: Request to Hijack libdbd-sybase-perl
Date: Tue, 7 Jul 2009 15:32:49 -0700
On Tue, Jul 07, 2009 at 02:53:52PM -0700, Steve Langasek wrote:
> IOW, you can't actually point to an issue *that affects you* with the
> current version of the package, or you wouldn't have had to quote the
> upstream changelog at me.  Do you even use the software?  What testing have
> you done to ensure that the new version works correctly with the version of
> FreeTDS in Debian?

Ah, clearly you have done *zero* testing with this package, because
DBD-Sybase 1.09 fails to build at all with FreeTDS 0.82.  Thanks for wasting
my time responding to this absurd hijacking attempt when I could have been
getting real work done instead.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#329526; Package libdbd-sybase-perl. (Fri, 25 Sep 2009 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Descamps <raphael.descamps@1und1.de>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Fri, 25 Sep 2009 17:33:03 GMT) Full text and rfc822 format available.

Message #40 received at 329526@bugs.debian.org (full text, mbox):

From: Raphael Descamps <raphael.descamps@1und1.de>
To: 329526@bugs.debian.org
Subject: Re: Bug#329526: libdbd-sybase-perl / DBD::Sybase
Date: Fri, 25 Sep 2009 18:48:30 +0200
> Ah, clearly you have done *zero* testing with this package, because
> DBD-Sybase 1.09 fails to build at all with FreeTDS 0.82.

I have not made intensiv testing but the following patch allows
DBD-Sybase-1.09 to build.

The mainstream maintainer don't seems to test with freetds libraries at
all, since the last version able to build on debian is
DBD-Sybase-1.04.  

For 1.05 an Experimental Bulk-Load Functionality was added, and since
that time the build don't work if you don't have the Sybase SDK
installed.
The makefile try to disable the functionality if libblk.a is not found
at builtime but don't do it correctly because the Header files delivered
with freetds-dev don't have BLK_VERSION_120/125/150 correctly
defined.   
The following proposed patch try to disable the Bulk-Load functionality
correctly.

Anyway the heuristic to look at libblk.a at built time is broken because
as far as I anderstand it, new version of freetds is now having this
functionality but don't have a libblk.a file.

I will fill a bugreport upstream and try to have it tested...

--- dbdimp.c	2009-09-25 15:23:41.000000000 +0200
+++ dbdimp.c.orig	2009-09-25 17:50:28.000000000 +0200
@@ -772,7 +772,6 @@
 	if (retcode != CS_SUCCEED)
 		croak("DBD::Sybase initialize: cs_ctx_alloc(%d) failed", cs_ver);
 
-#if !defined(NO_BLK)
 #if defined(CS_VERSION_150)
 	if(cs_ver == CS_VERSION_150)
 		BLK_VERSION = BLK_VERSION_150;
@@ -789,7 +788,6 @@
 	if(cs_ver == CS_VERSION_110)
 		BLK_VERSION = BLK_VERSION_110;
 #endif
-#endif
 	if (cs_ver == CS_VERSION_100)
 		BLK_VERSION = BLK_VERSION_100;
---------------------------------------------- 

Bye, Raphael.
-- 
Raphael Descamps
Linux Hosting Backend Solutions
Master of ShaHoLin and Cash Cow Milker
                                                           1&1 Internet AG
phone://49.721.91374.0                                     Brauerstrasse 48
fax://49.721.91374.225                                     76135 Karlsruhe

Amtsgericht Montabaur HRB 6484 * Vorstand: Henning Ahlert, Ralph Dommermuth, Matthias Ehrlich, Andreas Gauger, Thomas Gottschlich, Matthias Greve, Robert Hoffmann, Markus Huhn, Achim Weiss
* Aufsichtsratsvorsitzender: Michael Scheeren





Forcibly Merged 329526 560117. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 09 Dec 2009 07:15:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 17:15:07 GMT) Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Wed, 28 Sep 2011 18:09:10 GMT) Full text and rfc822 format available.

Notification sent to Florian Ragwitz <florian.ragwitz@s2004.tu-chemnitz.de>:
Bug acknowledged by developer. (Wed, 28 Sep 2011 18:09:10 GMT) Full text and rfc822 format available.

Message #49 received at 329526-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 329526-close@bugs.debian.org
Subject: Bug#329526: fixed in libdbd-sybase-perl 1.09-1
Date: Wed, 28 Sep 2011 18:05:13 +0000
Source: libdbd-sybase-perl
Source-Version: 1.09-1

We believe that the bug you reported is fixed in the latest version of
libdbd-sybase-perl, which is due to be installed in the Debian FTP archive:

libdbd-sybase-perl_1.09-1.diff.gz
  to main/libd/libdbd-sybase-perl/libdbd-sybase-perl_1.09-1.diff.gz
libdbd-sybase-perl_1.09-1.dsc
  to main/libd/libdbd-sybase-perl/libdbd-sybase-perl_1.09-1.dsc
libdbd-sybase-perl_1.09-1_amd64.deb
  to main/libd/libdbd-sybase-perl/libdbd-sybase-perl_1.09-1_amd64.deb
libdbd-sybase-perl_1.09.orig.tar.gz
  to main/libd/libdbd-sybase-perl/libdbd-sybase-perl_1.09.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 329526@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated libdbd-sybase-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 28 Sep 2011 17:42:20 +0000
Source: libdbd-sybase-perl
Binary: libdbd-sybase-perl
Architecture: source amd64
Version: 1.09-1
Distribution: unstable
Urgency: low
Maintainer: Steve Langasek <vorlon@debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 libdbd-sybase-perl - Sybase/MS SQL database driver for the DBI module
Closes: 269198 329526 577513 643502
Changes: 
 libdbd-sybase-perl (1.09-1) unstable; urgency=low
 .
   * New upstream release.  Closes: #329526.
     - includes upstream fix for handling two sequential prepare()s without
       an execute().  Closes: #269198.
   * dbdimp.c: Add a patch from Raphael Descamps <raphael.descamps@1und1.de>
     to disable BLK_VERSION_* checks if NO_BLK isn't defined.
   * Add debian/watch file.
   * Makefile.PL: if libct isn't found on the filesystem, assume it's
     FreeTDS - fixing a build failure with multiarched freetds.
     Closes: #643502.
   * Switch to dh(1) and debhelper compat 8.
   * Build-depend on libdbi-perl (>= 1.612-1) for dh_perl_dbi, so we get a
     DBI ABI identifier in our package dependencies.  Closes: #577513.
   * Add ${misc:Depends} to make debhelper and lintian happy
   * Set Vcs-Bzr/Vcs-Browser in debian/control.
   * Bump policy-version to 3.9.2.
   * Put the manpage in the right '3pm' section, not '3perl' which is
     apparently meant only for perl itself.
Checksums-Sha1: 
 f1e94bc533fb5ce9eac5e767407be7f0948bf87c 1969 libdbd-sybase-perl_1.09-1.dsc
 23cad59ab7892732175336087093b1e3c2bda09a 194414 libdbd-sybase-perl_1.09.orig.tar.gz
 7d9ad528149a8a340110f915c1cedb3b6060b10f 3081 libdbd-sybase-perl_1.09-1.diff.gz
 64f7a8e0828699ac8ffbed1c9c9accc3161bfe68 133758 libdbd-sybase-perl_1.09-1_amd64.deb
Checksums-Sha256: 
 caed3d183b8f95453dff8ea174626d72641cf85d57ea9ecb86f0e9966d453d28 1969 libdbd-sybase-perl_1.09-1.dsc
 516d44567f1c76aa6aba76879a371d3a44f4a69da3b06b304f375eb57bb2daf1 194414 libdbd-sybase-perl_1.09.orig.tar.gz
 6a542845865578b1a2daf98e736824df6d78525872329c78f436237a6ae0a008 3081 libdbd-sybase-perl_1.09-1.diff.gz
 51e5612886c7ea768b6c3c3baf3d8508c62632ad3e81500cd44132ea31ea640d 133758 libdbd-sybase-perl_1.09-1_amd64.deb
Files: 
 75e63861041995c19bde691fcfe7c736 1969 perl optional libdbd-sybase-perl_1.09-1.dsc
 8ed2c2dd5df35cdee890fa8135e981ec 194414 perl optional libdbd-sybase-perl_1.09.orig.tar.gz
 b61b19de0437e62c04ac50169816c55b 3081 perl optional libdbd-sybase-perl_1.09-1.diff.gz
 42fa361ddc75f5df53e1d07fef746d6a 133758 perl optional libdbd-sybase-perl_1.09-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBToNdAFaNMPMhshM9AQgEuA//XhSV5wEE2k4XELWjd+n4CDALYJyUL8B4
Lu8KSC+9XBYKjDy06tgygkn6MSSV4cth95cvGR6dfJJGsgZ/UZS1PRUPnTO9hqU7
95mL8cXKnnr4u7U22oO+ZxTjqUaFbw2wVq6mYrexOG4y6X4GC5npLX3IXsgL6Hda
3/ejcRcZt+6EZFN+bkkCu0mL8TRQweHyOcVrV7vJXtGJVW8DnL5KWMT5mRmwXfg+
IIDjB8Pr8MRsGYx7r8/qxUfatGN9ht4yl0vMUUyLMHfMco7TcJFb/KiZAosQf3F0
SrB3UxgXVNlnZOj5WRY3CECEGWdUPHU0ZKyWcu0lTISh2ypIAmscJSBhNRhw5ucs
shcutjXeu6qi0vt9Rd1EnV+tmiSOPF+ut45Ap2u8d0J+xyhlCrGO1wQO12XfH7RJ
cWojE578R8FqGk8O6e9vCZlCycts+g59gt0o8Yt9XusVD217bnaTLn3YObL14TvQ
x85ThT4iHPv+TtkyEPXmTIfTo16VZonmD8ABrlwlGOS0yqWC6ntMDbwc1riRwCz/
GHR/+Gjkkb6a/xSYxPS6tKxZmRUIE+R4cPxlADZ6y1WvhmZebw3+S/SVfT48qDPd
eA3gjWXTa0A5J1vZqT8yFs6H7A4t332dDDNUeEe5V2MYBvh+5Mrco7kSDQnF/L7B
Z3EyCTwV6A8=
=0xuz
-----END PGP SIGNATURE-----





Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Wed, 28 Sep 2011 18:09:11 GMT) Full text and rfc822 format available.

Notification sent to Peter Rabbitson <rabbit+bugs@rabbit.us>:
Bug acknowledged by developer. (Wed, 28 Sep 2011 18:09:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Oct 2011 07:32:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:56:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.